Subject: bug#9723: 24.0.50; Emacs Clipboard crash

From: Joseph Jones <[email-masked]>
Date: Sat, 11 Feb 2012 17:52:26 -0800

***inline

-----Original Message-----
From: Eli Zaretskii [mailto:[email-masked]] 
Sent: Saturday, February 11, 2012 11:25 AM
To: Joseph Jones
Cc: [email-masked]
Subject: Re: bug#9723: 24.0.50; Emacs Clipboard crash

> From: Joseph Jones <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Sat, 11 Feb 2012 11:06:51 -0800
> 
> Another data point with this build:
> 
> 1) In GUI mode (I think mostly when connected over RDP), eventually Emacs will lock up using 12.5% CPU and not even running it under GDB will  let me break into the process to see what is up.

If you run it not under GDB, then attaching GDB to it ("gdb -p PID", where PID is the process ID of the running Emacs) should interrupt whatever it is doing and let you examine the call-stack backtrace.
Are you saying that this is not working?

*** I haven't tried attaching, But if I start Emacs within GDB then I run into the issue above.

Anyway, can it be that you have C source files loaded in that Emacs, and you have JIT stealth font-lock enabled?  There are some problems in C mode in that area at the moment (I had similar lockups myself), so perhaps this is what you are hitting.

***  Well, since I do all C/C++ programming then that could be it. I'd hate to have to disable C-mode though...

> 24 is almost useless for me right now, at least when working remotely 
> (which I have to do to connected to some of my machines). It would 
> suck to have to abandon Emacs on Windows. I have NEVER had Emacs crash 
> on any other platform in almost 20 years of usage (really lucky I 
> guess) but the last 5 months have seen it almost unusable. :-(

I'm sorry for your trouble.  I can only say that no one else reported anything similar for this version.  You can always go back to Emacs 23 if you find this unbearable.

*** 23 still repros the clipboard and I prefer 24 for other reason. Just venting, sorry.